org.w3c.dom.html

## Interface HTMLHRElement

- All Superinterfaces:
    Element, HTMLElement, Node

      public interface HTMLHRElement
      extends HTMLElement

  Create a horizontal rule. See the HR element definition in HTML 4.0.

- - ### Field Summary

    - ### Fields inherited from interface org.w3c.dom.Node

      `ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlign()` Align the rule on the page.
    `boolean` | `getNoShade()` Indicates to the user agent that there should be no shading in the rendering of this element.
    `java.lang.String` | `getSize()` The height of the rule.
    `java.lang.String` | `getWidth()` The width of the rule.
    `void` | `setAlign(java.lang.String align)`
    `void` | `setNoShade(boolean noShade)`
    `void` | `setSize(java.lang.String size)`
    `void` | `setWidth(java.lang.String width)`

    - ### Methods inherited from interface org.w3c.dom.html.HTMLElement

      `getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

    - ### Methods inherited from interface org.w3c.dom.Element

      `getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

    - ### Methods inherited from interface org.w3c.dom.Node

      `appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

- - ### Method Detail

    - #### getAlign

          java.lang.String getAlign()

      Align the rule on the page. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setAlign

          void setAlign(java.lang.String align)

    - #### getNoShade

          boolean getNoShade()

      Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setNoShade

          void setNoShade(boolean noShade)

    - #### getSize

          java.lang.String getSize()

      The height of the rule. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setSize

          void setSize(java.lang.String size)

    - #### getWidth

          java.lang.String getWidth()

      The width of the rule. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

    - #### setWidth

          void setWidth(java.lang.String width)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.